Bug 866032 - configure --disable-static prevents building of freetype static library
configure --disable-static prevents building of freetype static library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-freetype (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 07:27 EDT by Nicola Fontana
Modified: 2012-12-20 11:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:19:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Added static subpackage (2.36 KB, patch)
2012-10-24 13:59 EDT, Nicola Fontana
no flags Details | Diff

  None (edit)
Description Nicola Fontana 2012-10-13 07:27:48 EDT
Back in 2008 static libraries were stripped from the final package. The relevant commit does not explain why:
http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/rev/1d89b5e78b43

Actually they are disabled at configure level with --disable-static. I'd like to know the rationale behind this.

If that reason still stands a comment should be added to the spec (or I can provide a git patch myself... I don't know if this is common practice here) otherwise adding --enable-static can be considered. I didn't find anything in favor or against it in the wild.
Comment 1 Erik van Pienbroek 2012-10-13 12:34:45 EDT
The commit your referring to dates back from the time when the Fedora MinGW toolchain was in its initial development phase where there was still quite of lot of experimenting going on and packaging guidelines were yet to be written. Back then the packages weren't added to Fedora yet.

As far as I know there hasn't been any real rationale for disabling the static libraries in this case so I don't see any problems with re-adding the static libraries for freetype in a separate subpackage (as is also done with various other mingw packages)
Comment 2 Nicola Fontana 2012-10-24 13:59:03 EDT
Created attachment 632911 [details]
Added static subpackage

Hi Erik,
I used mingw-glib2 and mingw-fontconfig as templates to add the static subpackage.

Keep in mind I'm *not* using Fedora (I rather ported some of its MinGW packages to Arch linux) so the patch is not tested. Anyway I can confirm the static library does not need any special treatment to be built.
Comment 3 Erik van Pienbroek 2012-10-24 14:04:16 EDT
Thank you very much for the patch! I just applied it to the package and the builds are currently being performed
Comment 4 Fedora Update System 2012-10-24 14:16:16 EDT
mingw-freetype-2.4.10-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-freetype-2.4.10-2.fc18
Comment 5 Fedora Update System 2012-10-26 15:35:28 EDT
Package mingw-freetype-2.4.10-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-freetype-2.4.10-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16910/mingw-freetype-2.4.10-2.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 11:19:50 EST
mingw-freetype-2.4.10-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.